Page cover
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update Website

Update a single website that is in your account.

PATCH https://getgeoflow.com/beta/api/update-website/:siteID

Update a single website in your Geoflow account by passing a new name or URL. If for any reason you need to modify the site ID, please contact support.

Path Parameters

Name
Type
Description

siteID*

String

Your Webflow Site ID

Headers

Name
Type
Description

Content-Type*

String

application/json

Authorization*

String

Bearer <TOKEN>

Request Body

Name
Type
Description

websiteURL

String

Valid Website URL with HTTPS

websiteName

String

Your Website Name

{
    "status": 200,
    "message": "Success",
    "description": "Your website was successfully updated in your Geoflow account."
}
{
    "status": 401,
    "message": "Unauthorized",
    "description": "No API key was provided or you do not have access to this resource. Please provide a valid Geoflow REST API key or contact support."
}
{
    "status": 429,
    "message": "Too Many Requests",
    "description": "You have sent too many requests in a given amount of time. Please wait before sending more requests."
}
{
    "status": 404,
    "message": "Not Found",
    "description": "The endpoint you are trying to access does not exist or has been moved, or an invalid site ID was added as a parameter. Please refer to the Geoflow REST API documentation for further information or contact support."
}
{
    "status": 405,
    "message": "Method Not Allowed",
    "description": "The HTTP method used is not supported for this endpoint. Please refer to the Geoflow REST API documentation for further information or contact support."
}

Last updated

Was this helpful?